Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class JavaVariable

    java.lang.Object
      com.saxonica.codegen.JavaVariable

    public class JavaVariable

extends Object

A top-level field within the Java class being generated by the `CompilerService`

Field Summary
`CharSequence` | `body`
`Class` | `declaredClass`
`String` | `declaredType`
`String` | `errorCodeIfNull`
`boolean` | `isFinal`
`boolean` | `isStatic`
`String` | `messageIfNull`
`String` | `name`
`int` | `priority`

Constructor Summary
`JavaVariable()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isStatic

    public boolean isStatic

### isFinal

    public boolean isFinal

### declaredType

    public String declaredType

### declaredClass

    public Class declaredClass

### name

    public String name

### body

    public CharSequence body

### priority

    public int priority

### messageIfNull

    public String messageIfNull

### errorCodeIfNull

    public String errorCodeIfNull

Constructor Detail

### JavaVariable

    public JavaVariable()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.